MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/queue_print.h File Reference

`#include <stdint.h>`

Go to the source code of this file.

## Functions
void | queue_print_info (struct client *client, const struct queue *queue, unsigned start, unsigned end)
void | queue_print_uris (struct client *client, const struct queue *queue, unsigned start, unsigned end)
void | queue_print_changes_info (struct client *client, const struct queue *queue, uint32_t version)
void | queue_print_changes_position (struct client *client, const struct queue *queue, uint32_t version)
void | queue_search (struct client *client, const struct queue *queue, const struct locate_item_list *criteria)
void | queue_find (struct client *client, const struct queue *queue, const struct locate_item_list *criteria)

## Function Documentation

void queue_find | ( | struct client * | client,
|  | const struct queue * | queue,
|  | const struct locate_item_list * | criteria
| ) |  |

void queue_print_changes_info | ( | struct client * | client,
|  | const struct queue * | queue,
|  | uint32_t | version
| ) |  |

void queue_print_changes_position | ( | struct client * | client,
|  | const struct queue * | queue,
|  | uint32_t | version
| ) |  |

void queue_print_info | ( | struct client * | client,
|  | const struct queue * | queue,
|  | unsigned | start,
|  | unsigned | end
| ) |  |

void queue_print_uris | ( | struct client * | client,
|  | const struct queue * | queue,
|  | unsigned | start,
|  | unsigned | end
| ) |  |

void queue_search | ( | struct client * | client,
|  | const struct queue * | queue,
|  | const struct locate_item_list * | criteria
| ) |  |